> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create skill

> Create a skill in the company catalog.

<div className="endpoint-versions" data-nav-page="/api-reference-v2/core/v4/skills-post" data-nav-group="Skills">
  <span className="endpoint-versions-label">Version:</span>
  <span data-version="v4" data-current>v4</span>
</div>


## OpenAPI

````yaml openapi-v2.json POST /core/v4/skills
openapi: 3.0.0
info:
  title: Sesame Public API v2
  description: >-
    Public API v2 — additive surface `/public/{context}/v{N}`,
    endpoint-versioned from v4
  version: 1.0.0
servers:
  - url: https://api.sesamehr.com
    description: Production
security:
  - Bearer: []
paths:
  /core/v4/skills:
    post:
      tags:
        - Skills
      summary: Create skill
      description: Create a skill in the company catalog.
      operationId: CreateSkill
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSkillRequest'
      responses:
        '201':
          description: The identifier of the created skill.
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/CreatedEntry'
                type: object
        '401':
          description: Missing or invalid API key
        '403':
          description: API consumer lacks permission over the requested resource
        '422':
          description: Validation error
components:
  schemas:
    CreateSkillRequest:
      required:
        - name
      properties:
        name:
          type: string
      type: object
    CreatedEntry:
      properties:
        id:
          description: Identifier of the created resource.
          type: string
          format: uuid
      type: object
  securitySchemes:
    Bearer:
      type: http
      description: 'Sesame Public API consumer token (Authorization: Bearer <token>)'
      scheme: bearer

````